import request from '@/utils/request'

// 发布流程
export function flowDeploy(data) {
    return request({
        url: '/flow/publish',
        method: 'post',
        data: data
    })
}

export function flowExecute(data) {
    return request({
        url: '/flow/execute',
        method: 'post',
        data: data
    })
}

export function flowAction(data) {
    return request({
        url: '/flow/action',
        method: 'post',
        data: data
    })
}

export function flowExecuteTrial(data) {
    return request({
        url: '/flow/executeTrial',
        method: 'post',
        data: data
    })
}

export function flowView(data) {
    return request({
        url: '/flow/view',
        method: 'post',
        data: data
    })
}

export function flowPause(instId) {
    return request({
        url: `/flow/pause/${instId}`,
        method: 'post'
    })
}

export function flowResume(instId) {
    return request({
        url: `/flow/resume/${instId}`,
        method: 'post'
    })
}

export function flowStop(instId) {
    return request({
        url: `/flow/stop/${instId}`,
        method: 'post'
    })
}

export function getArmStatus(params) {
    return request({
        url: '/api/arm/getPose',
        method: 'get',
        params: params
    })
}

export function getAgvStatus(params) {
    return request({
        url: '/api/agv/getRuntimeState',
        method: 'get',
        params: params
    })
}

export function getArmJointState(params) {
    return request({
        url: '/api/arm/getJointState',
        method: 'get',
        params: params
    })
}
